Bug 1652199 - SELinux is preventing linux_kernel_tu from 'write' accesses on the file dirty_bytes.
Summary: SELinux is preventing linux_kernel_tu from 'write' accesses on the file dirty...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 29
Hardware: x86_64
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Zdenek Pytela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:c2cdf8fb5cf4461438941a69bce...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-21 16:34 UTC by Knut J BJuland
Modified: 2019-11-27 22:15 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 22:15:25 UTC


Attachments (Terms of Use)

Description Knut J BJuland 2018-11-21 16:34:14 UTC
Description of problem:
SELinux is preventing linux_kernel_tu from 'write' accesses on the file dirty_bytes.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that linux_kernel_tu should be allowed write access on the dirty_bytes file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'linux_kernel_tu' --raw | audit2allow -M my-linuxkerneltu
# semodule -X 300 -i my-linuxkerneltu.pp

Additional Information:
Source Context                system_u:system_r:condor_master_t:s0
Target Context                system_u:object_r:sysctl_vm_t:s0
Target Objects                dirty_bytes [ file ]
Source                        linux_kernel_tu
Source Path                   linux_kernel_tu
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.14.2-42.fc29.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.19.2-301.fc29.x86_64 #1 SMP Sat
                              Nov 17 17:58:01 UTC 2018 x86_64 x86_64
Alert Count                   3
First Seen                    2018-11-21 09:02:20 CET
Last Seen                     2018-11-21 10:29:08 CET
Local ID                      7c33e189-d951-4415-88ca-ed76f074ddfd

Raw Audit Messages
type=AVC msg=audit(1542792548.560:705): avc:  denied  { write } for  pid=17466 comm="linux_kernel_tu" name="dirty_bytes" dev="proc" ino=35162 scontext=system_u:system_r:condor_master_t:s0 tcontext=system_u:object_r:sysctl_vm_t:s0 tclass=file permissive=1


Hash: linux_kernel_tu,condor_master_t,sysctl_vm_t,file,write

Version-Release number of selected component:
selinux-policy-3.14.2-42.fc29.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.6
hashmarkername: setroubleshoot
kernel:         4.19.2-301.fc29.x86_64
type:           libreport

Comment 1 Ben Cotton 2019-10-31 19:30:16 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2019-11-27 22:15:25 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.